dst.defineClass("com.dst.slms.contractmange.salecontract.saleContractList", dst.framework.coreBillBaseList, {
	initalizeDOM:function(){
		com.dst.slms.contractmange.salecontract.saleContractList.superClass.initalizeDOM.call(this);
	},
	clickTreeAction:function(event, treeId, treeNode){
		var _self = this;
		var filter = _self.getDefaultFilterItems();
		var zTree = $.fn.zTree.getZTreeObj("orgTree");       
		var childNodes = zTree.transformToArray(treeNode); 

        var nodes = new Array(); 

        for(i = 0; i < childNodes.length; i++) { 
        	nodes[i] = childNodes[i].value; 
        } 
        filter['selectTreeId']= nodes.join(",");
        $(_self.gridId).datagrid('reload');
	},
//	clickTypeTreeAction:function(event, treeId, treeNode){
//		var _self = this;
//		var filter = _self.getDefaultFilterItems();
//		var zTree = $.fn.zTree.getZTreeObj("ConTypeTree");       
//		var childNodes = zTree.transformToArray(treeNode); 
//
//        var nodes = new Array(); 
//
//        for(i = 0; i < childNodes.length; i++) { 
//        	nodes[i] = childNodes[i].value; 
//        } 
//        filter['typeTreeId']= nodes.join(",");
//        $(_self.gridId).datagrid('reload');
//	},
});